class BerserkSwordGun extends AssaultRifle
    config(user);

simulated function float ChargeBar()
{
	return FMin(1,FMin(FireMode[0].HoldTime/AssaultGrenade(FireMode[0]).mHoldClampMax,FireMode[0].HoldTime/AssaultGrenade(FireMode[0]).mHoldClampMax));
}

function upgrade(byte level)
{
	FireMode[0].FireAnim='gunfire';
    FireMode[1].FireAnim='gunfire';

    if (level > 1)
		ammocharge[0]=8;
	if (level > 2)
		ammocharge[0]=16;
}

defaultproperties
{
	ItemName="Grenade Launcher"
	Description="Granted to the Berserker class, this modification allows warriors to soften up groups of enemies before moving in for the kill."
	HighDetailOverlay=Material'UT2004Weapons.WeaponSpecMap2'
    IconMaterial=Material'HudContent.Generic.HUD'
    IconCoords=(X1=174,Y1=259,X2=220,Y2=304)


    bShowChargingBar=true
    bCanThrow=false
    FireModeClass(0)=AssaultGrenade
    FireModeClass(1)=AssaultGrenade
    InventoryGroup=2
    BobDamping=2.2
    Priority=4

    DrawScale=1.0
    DisplayFOV=110
    EffectOffset=(X=100,Y=25,Z=-3)
    PlayerViewOffset=(X=-5,Y=-3,Z=10)
    SmallViewOffset=(X=2,Y=0,Z=-1.5)
    PlayerViewPivot=(Pitch=0,Roll=0,Yaw=38768)

    AttachmentClass=Class'GTDeify.SwordAttatchment'

    Mesh=SkeletalMesh'Sword.sword_1stPerson'
    OldMesh=None

    AIRating=+0.2
    CurrentRating=0.2


    IdleAnim=Idle
    RestAnim=Rest
    AimAnim=Aim
    RunAnim=Run
    SelectAnim=Select
    PutDownAnim=PutDown
}
