class Deify_xPawn_Summoner extends Deify_xPawn;

var vector loc;
var vector posloc;
var vector negloc;
var bool first;
var bool forward;

function float SpellCasting(float chargeTime)
{
	local Vector StartProj, StartTrace, X,Y,Z;
	local GENTroopPawn summoned;
	local int j;
     if (!bCasting && Mana >= castingCost)
	{
    chargeTime = Super.SpellCasting(chargeTime);

		bCasting = true;

		weapon.GetViewAxes(X,Y,Z);
		StartTrace = Location + EyePosition();

		StartProj = StartTrace + 15*X*ProjSpawnOffset.X + Z*ProjSpawnOffset.Z + Y*ProjSpawnOffset.Y;

		loc = StartProj;
		for(j=0; j< 0.1 + (1.4 * tech[2]); j++)
		{
			summoned = Spawn(class'Generations.GENTroopPawn',self,, modloc(), Rotation);
			GENTroopController(summoned.Controller).TeamNum = Controller.GetTeamNum();
			summoned.TeamNum = Controller.GetTeamNum();
			summoned.bSummoned = true;
            summoned.setskins(Controller.GetTeamNum());
			summoned.SetTimer(chargeTime * 3, true);
		}
		first = true;
		forward = false;
		posloc = vect(0,0,0);
		negloc = vect(0,0,0);

		SetTimer(FMin(4.0,chargeTime * 3), false);
	}
	return 0;
}

function vector modloc()
{
  local vector newloc;
  if(first == true)
  {
   newloc = loc;
   posloc = newloc;
   negloc = newloc;
   first = false;
   forward = true;
   }
   else if(forward == true)
   {
     newloc = posloc + vect(0,100,0);
     posloc+= vect(0,100,0);
     forward = false;
   }
   else
   {
    newloc = negloc - vect(0,100,0);
    negloc-= vect(0,100,0);
    forward = true;
   }
  return newloc;
}

function upgrade(byte tree, byte newtech)
{
	local Inventory I;
	local SummonerSwordGun G;

	super.upgrade(tree, newtech);
	switch ( tree )
	{
	case 0:
		shieldstrength = 50 * newtech;
		break;
	case 1:
		if (newtech > 0)
		{
			giveWeapon("GTDeify.SummonerSwordGun");
			I = Inventory;
			while (I != none && G == none)
			{
				G = SummonerSwordGun(I);
				I = I.Inventory;
			}
		}
		if (G != none)
			G.upgrade(newtech);
		break;
	}
}

function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	SetTimer(0.0,false);
    bCasting = false;
	super.Died(Killer, damageType, HitLocation);
}

defaultproperties
{
	 castingCost=20
	 first = true;
     forward = false;

classmesh= SkeletalMesh'berserker.Berserker02'

teamskins[1] = Shader'BerserkTex.BerserkShader01'
teamskins[0] = Shader'BerserkTex.BerserkShader02'
teamskins[2] = Shader'BerserkTex.BerserkShader03_0'

teamskins[4] = Shader'BerserkTex.BerserkShader01'
teamskins[3] = Shader'BerserkTex.BerserkShader02'
teamskins[5] = Shader'BerserkTex.BerserkShader03_1'

skins[1] = Shader'BerserkTex.BerserkShader01'
skins[0] = Shader'BerserkTex.BerserkShader02'
skins[2] = Shader'BerserkTex.BerserkShader03'
}
