class SummonerSwordGun extends ONSMineLayer
    config(user);

var bool bFinalUpgrade;

function upgrade(byte level)
{
FireMode[0].FireAnim='gunfire';
FireMode[1].FireAnim='gunfire';

	if (level == 1)
		ammocharge[0]=2;
    if (level > 1)
		ammocharge[0]=5;
	if (level > 2)
		bFinalUpgrade = true;
	else
		bFinalUpgrade = false;
}

defaultproperties
{
	ItemName="Mine Layer"
	Description="Granted to the Summoner class, this modification allows warriors to place mines to defend themselves while their troops do the dirty work."
	HighDetailOverlay=Material'UT2004Weapons.WeaponSpecMap2'
    IconMaterial=Material'HudContent.Generic.HUD'
    IconCoords=(X1=451,Y1=393,X2=495,Y2=441)

    bCanThrow=false
    InventoryGroup=2
    BobDamping=2.2
    Priority=4

   DrawScale=1.0
    DisplayFOV=110
    EffectOffset=(X=100,Y=25,Z=-3)
    PlayerViewOffset=(X=-5,Y=-3,Z=10)
    SmallViewOffset=(X=2,Y=0,Z=-1.5)
    PlayerViewPivot=(Pitch=0,Roll=0,Yaw=38768)

    AttachmentClass=Class'GTDeify.SwordAttatchment'

    Mesh=SkeletalMesh'Sword.sword_1stPerson'
    OldMesh=None

    AIRating=+0.2
    CurrentRating=0.2

    IdleAnim=Idle
    RestAnim=Rest
    AimAnim=Aim
    RunAnim=Run
    SelectAnim=Select
    PutDownAnim=PutDown
}
