//==============================================================================
//	Created on: 08/13/2003
//	Generations specific implementation of login menu
//
//	 2003, Epic Games, Inc.  All Rights Reserved
//	modified 2007, Daniel Bower
//==============================================================================
class UT2K4GenerationsLoginMenu extends UT2K4PlayerLoginMenu;

var() GUITabItem GenerationsMapPanel;

event Opened(GUIComponent Sender)
{
	Super.Opened(Sender);
}

function AddPanels()
{
	Panels.Insert(0,1);
	Panels[0] = GenerationsMapPanel;
	Panels[1].ClassName = "Generations.UT2K4Tab_PlayerLoginControlsGenerations";

	Super.AddPanels();
}

function HandleParameters(string Param1, string Param2)
{
	if (PlayerOwner().IsInState('PlayerWaiting') || PlayerOwner().IsDead())
	{
		c_Main.ActivateTabByName(GenerationsMapPanel.Caption, True);
		return;
	}

	if (Param1 ~= "TL")
	{
		c_Main.ActivateTabByName(GenerationsMapPanel.Caption, True);
		UT2K4Tab_GenerationsMap(c_Main.ActiveTab.MyPanel).NodeTeleporting();
		return;
	}

	c_Main.ActivateTabByName(Panels[1].Caption, true);
}

DefaultProperties
{
	GenerationsMapPanel=(ClassName="Generations.UT2K4Tab_GenerationsMap",Caption="Map",Hint="Map of the area")
}
