class DeifyOverlay extends HudOverlay;

var int Mana;
var float scale;
var Deify_xPawn P;
var float vertOffset;
var color hudcolor;
var bool initted;

var() HudBase.SpriteWidget ChargeBar;

#EXEC OBJ LOAD FILE=Generations.utx

event postbeginplay()
{
Super.postbeginplay();

ChargeBar.WidgetTexture=Material'HUDContent.Generic.HUDPulse';

if ( HUD(owner).pawnOwnerPRI.Team != None )
		HudColor = HUD(owner).PlayerOwner.TeamBeaconTeamColors[HUD(owner).PawnOwnerPRI.Team.TeamIndex];
	else if (HudBase(owner).bUsingCustomHUDColor)
		HudColor = HudBase(owner).CustomHUDColor;
	else
		HudColor = HUD(owner).PlayerOwner.TeamBeaconTeamColors[1];
}

simulated function Render(Canvas C)
{
    local float ScaleFactor;
    local HudCDeathmatch H;

	if (!initted)
    {
     if (HUD(Owner).PlayerOwner.Pawn != None)
     {
        P = Deify_xPawn(HUD(Owner).PlayerOwner.Pawn);
        initted = true;
     }
     return;
    }

	if (P == none || (HUD(Owner).PlayerOwner.Pawn != P && Deify_xPawn(HUD(Owner).PlayerOwner.Pawn) != none) || (HUD(Owner).PlayerOwner.Pawn.health <= 0))
		Destroy();

    Mana = (P.Mana);

	if (P.ShieldStrength > 0)
		vertOffset = (C.ClipY * 0.06);
	else
		vertOffset = 0;
	C.SetPos(0,C.ClipY * 0.88 - vertOffset);
	C.DrawColor = hudcolor;
	C.DrawTile(Texture'HudContent.Generic.HUD', C.ClipX * 0.138, C.ClipY * 0.06, 0, 110, 166, 53);

    C.SetPos(C.ClipX * 0.01,C.ClipY * 0.88 - vertOffset);
    if (P.Mana < P.CastingCost || P.bCasting)
    	C.SetDrawColor(40,50,40);
   	else
        C.SetDrawColor(50,255,50);
    C.DrawTile( Material'Generations.mana_symbol', C.ClipY * 0.06, C.ClipY * 0.06, 0, 0, 64, 64 );
  	C.SetDrawColor(255,255,255);

	scale = C.ClipY * 0.0011;
	C.SetPos(C.ClipX * 0.01,C.ClipY * 0.887 - vertOffset);


		C.SetPos(C.ClipX * 0.04,C.ClipY * 0.89 - vertOffset);

    if (mana > 99)
        C.DrawTile(Texture'HudContent.Generic.HUD',35 * scale,35 * scale,39 * (Mana % 1000 - Mana % 100) * 0.01,0,38,38);
    else
    	C.SetPos((C.ClipX * 0.04) + (35 * scale),C.ClipY * 0.89 - vertOffset);
    if (mana > 9)
    	C.DrawTile(Texture'HudContent.Generic.HUD',35 * scale,35 * scale,39 * (Mana % 100 - Mana % 10) * 0.1,0,38,38);
    else
    	C.SetPos((C.ClipX * 0.04) + (35 * 2 * scale),C.ClipY * 0.89 - vertOffset);
	C.DrawTile(Texture'HudContent.Generic.HUD',35 * scale,35 * scale,39 * (Mana % 10),0,38,38);


    H = HudCDeathmatch(HUD(owner).playerOwner.MyHud);

	ScaleFactor = HUD(Owner).HUDScale * 0.135 * C.ClipX;
	C.Style = ERenderStyle.STY_Alpha;
    C.DrawColor = hudcolor;
    if (P.ShieldStrength > 0)
		vertOffset = (C.ClipY * 0.12);
	else
		vertOffset = (C.ClipY * 0.06);
	C.SetPos(0, (1 - 0.0973*HUD(Owner).HUDScale)*C.ClipY-vertOffset);
	C.DrawTile( Material'HudContent.HUD', ScaleFactor, 0.223*ScaleFactor, 0, 110, 166, 53 );

    ChargeBar.Scale = Deify_xPlayer(HUD(owner).playerOwner).castTime/Deify_xPlayer(HUD(owner).playerOwner).maxCharge;
	if (ChargeBar.Scale > 0 )
	{
        if (P.ShieldStrength > 0)
           ChargeBar.OffsetY = -205;
        else
            ChargeBar.OffsetY=-150;
		H.DrawSpriteWidget( C, ChargeBar );
		ShowReloadingPulse(ChargeBar.Scale);
    }
}

simulated function ShowReloadingPulse( float hold )
{
	if( hold==1.0 )
		ChargeBar.WidgetTexture=Material'HudContent.Generic.HUDPulse';
	else
		ChargeBar.WidgetTexture = default.ChargeBar.WidgetTexture;

}

defaultproperties
{
    initted=false
    ChargeBar=(WidgetTexture=Texture'HUDContent.Generic.HUD',RenderStyle=STY_Alpha,TextureCoords=(Y1=313,X2=170,Y2=348),TextureScale=0.500000,DrawPivot=DP_UpperRight,PosX=0.000000,PosY=1.000000,OffsetX=170,OffsetY=0,ScaleMode=SM_Right,Scale=1.000000,Tints[0]=(B=255,G=255,R=255,A=220),Tints[1]=(B=255,G=255,R=255,A=220))
}
