class DestructorSwordGun extends ShockRifle
    config(user);

function upgrade(byte level)
{
	FireMode[1].AmmoPerFire=1000;
    FireMode[0].FireAnim='gunfire';
    FireMode[1].FireAnim='gunfire';
	if (level == 0)
 		ammocharge[0]=10;
    if (level > 1)
		ammocharge[0]=30;
	if (level > 2)
		FireMode[1].AmmoPerFire=1;
}

defaultproperties
{
	ItemName="Shock Rifle"
	Description="Granted to the Destructor class, this modification allows warriors to pick off enemies at a distance, or after further upgrades, trigger a massive explosion."
	HighDetailOverlay=Material'UT2004Weapons.WeaponSpecMap2'
    IconMaterial=Material'HudContent.Generic.HUD'
    IconCoords=(X1=400,Y1=130,X2=426,Y2=179)

    bCanThrow=false
    InventoryGroup=2
    BobDamping=2.2
    Priority=4

    DrawScale=1.0
    DisplayFOV=110
    EffectOffset=(X=100,Y=25,Z=-3)
    PlayerViewOffset=(X=-5,Y=-3,Z=10)
    SmallViewOffset=(X=2,Y=0,Z=-1.5)
    PlayerViewPivot=(Pitch=0,Roll=0,Yaw=38768)

    AttachmentClass=Class'GTDeify.SwordAttatchment'

    Mesh=SkeletalMesh'Sword.sword_1stPerson'
    OldMesh=None

    AIRating=+0.2
    CurrentRating=0.2

    IdleAnim=Idle
    RestAnim=Rest
    AimAnim=Aim
    RunAnim=Run
    SelectAnim=Select
    PutDownAnim=PutDown
}
