class FireBallCorona extends Effects;

var(Display) float	FireBallScale;

auto state Start
{
    simulated function Tick(float dt)
    {
        SetDrawScale(FMin(FireBallScale + dt*12.0, 1.5));
        if (DrawScale >= 1.5)
        {
            GotoState('End');
        }
    }
}

state End
{
    simulated function Tick(float dt)
    {
        SetDrawScale(FMax(FireBallScale - dt*12.0, 0.9));
        if (DrawScale <= 0.9)
        {
            GotoState('');
        }
    }
}

simulated function setFireBallScale(float theScale)
{
     FireBallScale = theScale;
}

defaultproperties
{
     bTrailerSameRotation=True
     Physics=PHYS_Trailer
     Texture=Texture'DeifyHumanImages.FireBall'
     DrawScale3D=(X=0.350000,Y=0.350000,Z=0.350000)
     Skins(0)=Texture'DeifyHumanImages.FireBall'
     Style=STY_Translucent
     Mass=13.000000
}
