//-----------------------------------------------------------
//
//-----------------------------------------------------------
class GENPowerCoreBlue extends GENPowerCore;

var GENPowerCoreEnergy  PCEnergyEffect;

simulated function PowerCoreDestroyed()
{
    Super.PowerCoreDestroyed();

    if (PCEnergyEffect != None)
        PCEnergyEffect.Destroy();
}

simulated function CheckShield()
{
    Super.CheckShield();

    if (CoreStage == 0)
    {
        if (PCEnergyEffect != None && ((PCEnergyEffect.IsA('GENPowerCoreEnergyRed') && DefenderTeamIndex == 1) || (PCEnergyEffect.IsA('GENPowerCoreEnergyBlue') && DefenderTeamIndex == 0)))
            PCEnergyEffect.Destroy();

        if (PCEnergyEffect == None)
        {
            if (DefenderTeamIndex == 0)
                PCEnergyEffect = Spawn(class'GENPowerCoreEnergyRed');
            else
                PCEnergyEffect = Spawn(class'GENPowerCoreEnergyBlue');
        }
    }
    else if (PCEnergyEffect != None)
        PCEnergyEffect.Destroy();
}

DefaultProperties
{
	depth=1;
	tier=1;
	DefenderTeamIndex=1;
	bStartNeutral=False;
}
